if [ -x usr/bin/scrollkeeper-update ]; then
  usr/bin/scrollkeeper-update -p var/lib/scrollkeeper 1> /dev/null 2> /dev/null
fi

if [ -x usr/bin/update-mime-database ]; then
  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
fi

if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

#config

chroot . sbin/ldconfig 1> /dev/null 2> /dev/null

if [ -x usr/bin/gst-register ]; then
  chroot . usr/bin/gst-register 1> /dev/null 2> /dev/null
fi
( cd usr/lib ; rm -rf libgstreamer-0.10.so.0 )
( cd usr/lib ; ln -sf libgstreamer-0.10.so.0.8.1 libgstreamer-0.10.so.0 )
( cd usr/lib ; rm -rf libgstreamer-0.10.so )
( cd usr/lib ; ln -sf libgstreamer-0.10.so.0.8.1 libgstreamer-0.10.so )
( cd usr/lib ; rm -rf libgstbase-0.10.so.0 )
( cd usr/lib ; ln -sf libgstbase-0.10.so.0.8.1 libgstbase-0.10.so.0 )
( cd usr/lib ; rm -rf libgstbase-0.10.so )
( cd usr/lib ; ln -sf libgstbase-0.10.so.0.8.1 libgstbase-0.10.so )
( cd usr/lib ; rm -rf libgstcontroller-0.10.so.0 )
( cd usr/lib ; ln -sf libgstcontroller-0.10.so.0.8.1 libgstcontroller-0.10.so.0 )
( cd usr/lib ; rm -rf libgstcontroller-0.10.so )
( cd usr/lib ; ln -sf libgstcontroller-0.10.so.0.8.1 libgstcontroller-0.10.so )
( cd usr/lib ; rm -rf libgstdataprotocol-0.10.so.0 )
( cd usr/lib ; ln -sf libgstdataprotocol-0.10.so.0.8.1 libgstdataprotocol-0.10.so.0 )
( cd usr/lib ; rm -rf libgstdataprotocol-0.10.so )
( cd usr/lib ; ln -sf libgstdataprotocol-0.10.so.0.8.1 libgstdataprotocol-0.10.so )
( cd usr/lib ; rm -rf libgstnet-0.10.so.0 )
( cd usr/lib ; ln -sf libgstnet-0.10.so.0.8.1 libgstnet-0.10.so.0 )
( cd usr/lib ; rm -rf libgstnet-0.10.so )
( cd usr/lib ; ln -sf libgstnet-0.10.so.0.8.1 libgstnet-0.10.so )
